#ifndef SMSCREEN_H_
#define SMSCREEN_H_



// ****************** menu SCREEN pre Spinaci modul ***************************************
void	SetMenuSpinModulScrean(void);
void	RemoveMenuSpinModulScrean(void);
void	SetSMCheckBoxStatus( unsigned char *data );
void	SM_OnBackButtonPress(tWidget *pWidget);
void	SM_OnSetButtonPress(tWidget *pWidget);
void	SM_OnConfigButtonPress(tWidget *pWidget);

void SetSMscrean(void);
void RemoveSMscrean(void);

void OnSpinModulPaint(tWidget *pWidget, tContext *pContext);

// moje funkcie
void 	UpdateSM_Screan( unsigned char redraw );
void 	UpdateSM_CheckBox( unsigned char redraw );
unsigned char	UpdateSM_Deck( void );
unsigned char	StateSM_Deck( void );

// coolbeck funkcie tlacidiel
void SM_OnCheckBoxPress(tWidget *pWidget);
void SM_OnNextPress(tWidget *pWidget);
void SM_OnPreviousPress(tWidget *pWidget);
void SM_OnSavePress(tWidget *pWidget);
void SM_OnClosePress(tWidget *pWidget);
//**************************************************************************



#endif /*SMSCREEN_H_*/
